fop 1.1

## org.apache.fop.render
Interface RendererEventProducer

All Superinterfaces:
  EventProducer

    public interface RendererEventProducer

extends EventProducer

Event producer interface for rendering-specific events.

Nested Class Summary
`static class` `RendererEventProducer.Provider` Provider class for the event producer.

Method Summary
`void` `endPage(java.lang.Object source, int number)` Triggered at the end of page rendering.
`void` `ioError(java.lang.Object source, java.io.IOException ioe)` I/O error while writing target file.

Method Detail

### ioError

    void ioError(java.lang.Object source,
                 java.io.IOException ioe)

  I/O error while writing target file.

  Parameters:
    `source` - the event source
    `ioe` - the original I/O error
  Event severity level:
    ERROR

### endPage

    void endPage(java.lang.Object source,
                 int number)

  Triggered at the end of page rendering.

  Parameters:
    `source` - the event source
    `number` - the page number

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.